Skip to main content
POST
/
atlas
/
settlements
/
{settlementId}
/
authorize
Authorize a settlement
curl --request POST \
  --url https://api.anchorage-staging.com/v2/atlas/settlements/{settlementId}/authorize \
  --header 'Api-Access-Key: <api-key>' \
  --header 'Api-Signature: <api-signature>' \
  --header 'Api-Timestamp: <api-timestamp>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "acceptorId": "<string>",
  "proposerId": "<string>",
  "walletAmounts": [
    {
      "assetType": "BTC",
      "quantity": "10.45234733",
      "walletId": "<string>"
    }
  ]
}
'
{
  "message": "Missing required field 'amount'."
}
Requires Api-Signature. Replace SETTLEMENT_ID in the path with the actual settlement ID before signing.

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Headers

Api-Signature
string
required

A hex-encoded Ed25519 signature of timestamp_epoch_seconds + uppercase(http_method) + request_path + request_body.

Construction example:

toHex(
ed25519Sign(
signing_key,
'{}{}{}{}'.format(timestamp_epoch_seconds, toUpper(httpMethod), httpRequestPath, httpBody)
)
)
Pattern: ^[0-9A-Fa-f]{128,160}$
Api-Timestamp
integer<int64>
required

Current timestamp, represented as unix epoch seconds

Path Parameters

settlementId
string
required

ID of settlement to authorize

Query Parameters

participantId
string
required

ID of participant authorizing the settlement

Body

application/json

Settlement proposal

acceptorId
string
required
proposerId
string
required
walletAmounts
object[]
required

In a proposal, each asset type can appear only once in the wallet amount list.

Response